package com.doc.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;

/**
 * 系统告警对象 sys_alarm
 *
 * @author wukai
 * @date 2023-11-24
 */
@ApiModel(value = "SysAlarm", description = "系统告警")
public class SysAlarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 告警主键 */
    @ApiModelProperty("告警主键")
    @TableId
    private Long alarmId;

    /** 告警内容 */
    @ApiModelProperty("告警内容")
    @Excel(name = "告警内容")
    private String alarmContent;

    /** 告警级别 */
    @ApiModelProperty("告警级别")
    @Excel(name = "告警级别")
    private Long alarmLevel;

    /** 告警类型 */
    @ApiModelProperty("告警类型")
    @Excel(name = "告警类型")
    private Long alarmType;

    /** 告警时间 */
    @ApiModelProperty("告警时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "告警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date alarmTime;

    public void setAlarmId(Long alarmId)
    {
        this.alarmId = alarmId;
    }

    public Long getAlarmId()
    {
        return alarmId;
    }
    public void setAlarmContent(String alarmContent)
    {
        this.alarmContent = alarmContent;
    }

    public String getAlarmContent()
    {
        return alarmContent;
    }
    public void setAlarmLevel(Long alarmLevel)
    {
        this.alarmLevel = alarmLevel;
    }

    public Long getAlarmLevel()
    {
        return alarmLevel;
    }
    public void setAlarmType(Long alarmType)
    {
        this.alarmType = alarmType;
    }

    public Long getAlarmType()
    {
        return alarmType;
    }
    public void setAlarmTime(Date alarmTime)
    {
        this.alarmTime = alarmTime;
    }

    public Date getAlarmTime()
    {
        return alarmTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("alarmId", getAlarmId())
            .append("alarmContent", getAlarmContent())
            .append("alarmLevel", getAlarmLevel())
            .append("alarmType", getAlarmType())
            .append("alarmTime", getAlarmTime())
            .toString();
    }
}
